## erlang-p1-pkix 1.0.0

=== debian/changelog ===
erlang-p1-pkix (1.0.0-3~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Philipp Huebner <debalance@debian.org>  Wed, 02 Jan 2019 19:14:40 +0100

erlang-p1-pkix (1.0.0-3) unstable; urgency=medium

  * Updated debian/copyright
  * Fixed incorrect $DESTDIR in debian/rules
  * Added debian/docs to install README.md

 -- Philipp Huebner <debalance@debian.org>  Mon, 31 Dec 2018 01:56:27 +0100

erlang-p1-pkix (1.0.0-2) unstable; urgency=medium

  * Added ca-certificates to (Build-)Depends (Closes: #917589)

 -- Philipp Huebner <debalance@debian.org>  Sat, 29 Dec 2018 11:59:23 +0100

erlang-p1-pkix (1.0.0-1) unstable; urgency=medium

  * New upstream version 1.0.0
  * Updated Standards-Version: 4.3.0 (no changes needed)

 -- Philipp Huebner <debalance@debian.org>  Sat, 29 Dec 2018 01:59:56 +0100

erlang-p1-pkix (0.2018.11.12-1) unstable; urgency=medium

  * Initial release (Closes: #915288)

 -- Philipp Huebner <debalance@debian.org>  Sun, 02 Dec 2018 16:31:36 +0100

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
include /usr/share/dpkg/default.mk

DESTDIR=$(CURDIR)/debian/erlang-p1-pkix


%:
	dh $@ --buildsystem=rebar --with rebar

## erlang-p1-pkix 1.0.2

=== debian/changelog ===
erlang-p1-pkix (1.0.2-1) unstable; urgency=medium

  * New upstream version 1.0.2
  * Updated Erlang dependencies
  * Added debian/upstream/metadata
  * Updated Standards-Version: 4.4.0 (no changes needed)
  * debian/rules: export ERL_COMPILER_OPTIONS=deterministic
  * Updated debhelper compat version: 12

 -- Philipp Huebner <debalance@debian.org>  Wed, 24 Jul 2019 12:17:53 +0200

## erlang-p1-pkix 1.0.4

=== Makefile ===
REBAR=./rebar

all: src

src:
	$(REBAR) get-deps compile

clean:
	$(REBAR) clean

distclean: clean
	rm -rf deps
	rm -rf ebin
	rm -rf dialyzer

test: all
	$(REBAR) -v skip_deps=true eunit

xref: all
	$(REBAR) skip_deps=true xref

deps := $(wildcard deps/*/ebin)

APPS=kernel stdlib erts public_key crypto asn1

dialyzer/erlang.plt:
	@mkdir -p dialyzer
	@dialyzer --build_plt --output_plt dialyzer/erlang.plt \
	-o dialyzer/erlang.log --apps $(APPS); \
	status=$$? ; if [ $$status -ne 2 ]; then exit $$status; else exit 0; fi

# dialyzer/deps.plt:
# 	@mkdir -p dialyzer
# 	@dialyzer --build_plt --output_plt dialyzer/deps.plt \
# 	-o dialyzer/deps.log $(deps); \
# 	status=$$? ; if [ $$status -ne 2 ]; then exit $$status; else exit 0; fi

dialyzer/pkix.plt:
	@mkdir -p dialyzer
	@dialyzer --build_plt --output_plt dialyzer/pkix.plt \
	-o dialyzer/pkix.log ebin; \
	status=$$? ; if [ $$status -ne 2 ]; then exit $$status; else exit 0; fi

erlang_plt: dialyzer/erlang.plt
	@dialyzer --plt dialyzer/erlang.plt --check_plt -o dialyzer/erlang.log; \
	status=$$? ; if [ $$status -ne 2 ]; then exit $$status; else exit 0; fi

# deps_plt: dialyzer/deps.plt
# 	@dialyzer --plt dialyzer/deps.plt --check_plt -o dialyzer/deps.log; \
# 	status=$$? ; if [ $$status -ne 2 ]; then exit $$status; else exit 0; fi

pkix_plt: dialyzer/pkix.plt
	@dialyzer --plt dialyzer/pkix.plt --check_plt -o dialyzer/pkix.log; \
	status=$$? ; if [ $$status -ne 2 ]; then exit $$status; else exit 0; fi

dialyzer: erlang_plt pkix_plt #deps_plt pkix_plt
	@dialyzer --plts dialyzer/*.plt --no_check_plt \
	--get_warnings -o dialyzer/error.log ebin; \
	status=$$? ; if [ $$status -ne 2 ]; then exit $$status; else exit 0; fi

check-syntax:
	gcc -o nul -S ${CHK_SOURCES}

.PHONY: clean src test all dialyzer erlang_plt pkix_plt #deps_plt

## erlang-p1-pkix 1.0.3

=== debian/changelog ===
erlang-p1-pkix (1.0.3-1) unstable; urgency=medium

  * New upstream version 1.0.3

 -- Philipp Huebner <debalance@debian.org>  Sat, 10 Aug 2019 14:03:09 +0200

=== debian/control ===
Source: erlang-p1-pkix
Maintainer: Ejabberd Packaging Team <ejabberd@packages.debian.org>
Uploaders: Philipp Huebner <debalance@debian.org>
Section: libs
Priority: optional
Build-Depends: ca-certificates,
               debhelper (>= 12),
               dh-rebar,
               erlang-base (>= 1:19.2),
               erlang-crypto,
               erlang-eunit,
               erlang-syntax-tools
Standards-Version: 4.4.0
Vcs-Browser: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-pkix
Vcs-Git: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-pkix.git
Homepage: https://github.com/processone/pkix

Package: erlang-p1-pkix
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         erlang-base (>= 1:19.2) | ${erlang-abi:Depends},
         ${erlang:Depends},
         ca-certificates
Description: PKIX certificates management library for Erlang
 The idea of the library is to simplify certificates configuration in Erlang
 programs. Typically an Erlang program which needs certificates  (for HTTPS/
 MQTT/XMPP/etc) provides a bunch of options such as certfile,  chainfile,
 privkey, etc. The situation becomes even more complicated when a  server
 supports so called virtual domains because a program is typically  required to
 match a virtual domain with its certificate. If a user has plenty  of virtual
 domains it's quickly becoming a nightmare for them to configure all this.
 The complexity also leads to errors: a single configuration mistake and a
 program generates obscure log messages, unreadable Erlang tracebacks or,
 even worse, just silently ignores the errors.
 Fortunately, the large part of certificates configuration can be automated,
 reducing a user configuration to something as simple as:
 .
 certfiles:
   - /etc/letsencrypt/live/*/*.pem
 .
 The purpose of this library is to do this dirty job under the hood.

## erlang-p1-pkix 1.0.4

=== debian/changelog ===
erlang-p1-pkix (1.0.4-2) unstable; urgency=medium

  * Updated Standards-Version: 4.5.0 (no changes needed)
  * Updated years in debian/copyright
  * Rules-Requires-Root: no

 -- Philipp Huebner <debalance@debian.org>  Wed, 05 Feb 2020 17:37:26 +0100

erlang-p1-pkix (1.0.4-1) unstable; urgency=medium

  * New upstream version 1.0.4
  * Updated Standards-Version: 4.4.1 (no changes needed)
  * Set 'Rules-Requires-Root: no' in debian/control

 -- Philipp Huebner <debalance@debian.org>  Mon, 11 Nov 2019 16:10:52 +0100

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,15 @@
 Uploaders: Philipp Huebner <debalance@debian.org>
 Section: libs
 Priority: optional
+Rules-Requires-Root: no
 Build-Depends: ca-certificates,
-               debhelper (>= 12),
+               debhelper-compat (= 12),
                dh-rebar,
                erlang-base (>= 1:19.2),
                erlang-crypto,
                erlang-eunit,
                erlang-syntax-tools
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-pkix
 Vcs-Git: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-pkix.git
 Homepage: https://github.com/processone/pkix

=== debian/watch ===
version=3
opts="filenamemangle=s/.*\/v?(\d\S*)\.tar\.gz/erlang-p1-pkix_$1.tar.gz/" \
  https://github.com/processone/pkix/releases .*/v?(\d\S*)\.tar\.gz

## erlang-p1-pkix 1.0.6

=== debian/changelog ===
erlang-p1-pkix (1.0.6-1) unstable; urgency=medium

  * New upstream version 1.0.6

 -- Philipp Huebner <debalance@debian.org>  Sun, 02 Aug 2020 17:10:53 +0200

erlang-p1-pkix (1.0.5-1) unstable; urgency=medium

  * New upstream version 1.0.5

 -- Philipp Huebner <debalance@debian.org>  Tue, 17 Mar 2020 17:48:40 +0100

## erlang-p1-pkix 1.0.7

=== debian/changelog ===
erlang-p1-pkix (1.0.7-3) unstable; urgency=medium

  * Corrected Multi-Arch setting to "allowed"

 -- Philipp Huebner <debalance@debian.org>  Sun, 31 Jan 2021 18:43:29 +0100

erlang-p1-pkix (1.0.7-2) unstable; urgency=medium

  * Added 'Multi-Arch: same' in debian/control
  * Updated years in debian/copyright

 -- Philipp Huebner <debalance@debian.org>  Sat, 30 Jan 2021 17:55:58 +0100

erlang-p1-pkix (1.0.7-1) unstable; urgency=medium

  * New upstream version 1.0.7
  * Updated Standards-Version: 4.5.1 (no changes needed)
  * Updated version of debian/watch: 4
  * Updated debhelper compat version: 13
  * Updated lintian overrides
  * Added debian/erlang-p1-pkix.install

 -- Philipp Huebner <debalance@debian.org>  Fri, 25 Dec 2020 23:41:07 +0100

=== debian/control ===
--- 
+++ 
@@ -5,13 +5,13 @@
 Priority: optional
 Rules-Requires-Root: no
 Build-Depends: ca-certificates,
-               debhelper-compat (= 12),
+               debhelper-compat (= 13),
                dh-rebar,
                erlang-base (>= 1:19.2),
                erlang-crypto,
                erlang-eunit,
                erlang-syntax-tools
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-pkix
 Vcs-Git: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-pkix.git
 Homepage: https://github.com/processone/pkix
@@ -23,6 +23,7 @@
          erlang-base (>= 1:19.2) | ${erlang-abi:Depends},
          ${erlang:Depends},
          ca-certificates
+Multi-Arch: allowed
 Description: PKIX certificates management library for Erlang
  The idea of the library is to simplify certificates configuration in Erlang
  programs. Typically an Erlang program which needs certificates  (for HTTPS/

=== debian/watch ===
version=4
opts="filenamemangle=s/.*\/v?(\d\S*)\.tar\.gz/erlang-p1-pkix_$1.tar.gz/" \
  https://github.com/processone/pkix/releases .*/v?(\d\S*)\.tar\.gz

## erlang-p1-pkix 1.0.8

=== debian/changelog ===
erlang-p1-pkix (1.0.8-2) unstable; urgency=medium

  [ Jenkins ]
  * Remove constraints unnecessary since buster

  [ Philipp Huebner ]
  * Updated debian/watch

 -- Philipp Huebner <debalance@debian.org>  Sat, 18 Dec 2021 13:56:06 +0100

erlang-p1-pkix (1.0.8-1) unstable; urgency=medium

  * New upstream version 1.0.8
  * Updated Standards-Version: 4.6.0 (no changes needed)

 -- Philipp Huebner <debalance@debian.org>  Sun, 29 Aug 2021 21:32:00 +0200

=== debian/control ===
--- 
+++ 
@@ -7,11 +7,11 @@
 Build-Depends: ca-certificates,
                debhelper-compat (= 13),
                dh-rebar,
-               erlang-base (>= 1:19.2),
+               erlang-base,
                erlang-crypto,
                erlang-eunit,
                erlang-syntax-tools
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-pkix
 Vcs-Git: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-pkix.git
 Homepage: https://github.com/processone/pkix
@@ -20,7 +20,7 @@
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         erlang-base (>= 1:19.2) | ${erlang-abi:Depends},
+         erlang-base | ${erlang-abi:Depends},
          ${erlang:Depends},
          ca-certificates
 Multi-Arch: allowed

## erlang-p1-pkix 1.0.9

=== debian/changelog ===
erlang-p1-pkix (1.0.9-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Update renamed lintian tag names in lintian overrides.
  * Set field Upstream-Contact in debian/copyright.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata
    (already present in machine-readable debian/copyright).

  [ Philipp Huebner ]
  * Updated Standards-Version: 4.6.2 (no changes needed)
  * Updated years in debian/copyright

 -- Philipp Huebner <debalance@debian.org>  Wed, 08 Feb 2023 12:55:34 +0100

erlang-p1-pkix (1.0.9-1) unstable; urgency=medium

  * New upstream version 1.0.9
  * Updated Standards-Version: 4.6.1 (no changes needed)
  * Updated Erlang dependencies
  * Updated years in debian/copyright

 -- Philipp Huebner <debalance@debian.org>  Thu, 02 Jun 2022 10:28:07 +0200

=== debian/control ===
--- 
+++ 
@@ -6,12 +6,12 @@
 Rules-Requires-Root: no
 Build-Depends: ca-certificates,
                debhelper-compat (= 13),
-               dh-rebar,
+               dh-rebar (>= 0.0.6),
                erlang-base,
                erlang-crypto,
                erlang-eunit,
                erlang-syntax-tools
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-pkix
 Vcs-Git: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-pkix.git
 Homepage: https://github.com/processone/pkix
@@ -20,7 +20,7 @@
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         erlang-base | ${erlang-abi:Depends},
+         erlang-base, ${erlang-abi:Depends},
          ${erlang:Depends},
          ca-certificates
 Multi-Arch: allowed

=== debian/rules ===
--- 
+++ 
@@ -1,8 +1,8 @@
 #!/usr/bin/make -f
 export DH_VERBOSE=1
-
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 include /usr/share/dpkg/default.mk
+export ERL_COMPILER_OPTIONS=deterministic
 
 DESTDIR=$(CURDIR)/debian/erlang-p1-pkix

## erlang-p1-pkix 1.0.10

=== Makefile ===
--- 
+++ 
@@ -1,24 +1,32 @@
-REBAR=./rebar
+REBAR ?= ./rebar
+
+IS_REBAR3:=$(shell expr `$(REBAR) --version | awk -F '[ .]' '/rebar / {print $$2}'` '>=' 3)
 
 all: src
 
 src:
-	$(REBAR) get-deps compile
+	$(REBAR) get-deps
+	$(REBAR) compile
 
 clean:
 	$(REBAR) clean
 
 distclean: clean
+	rm -rf _build
 	rm -rf deps
 	rm -rf ebin
 	rm -rf dialyzer
 
 test: all
-	$(REBAR) -v skip_deps=true eunit
+	$(REBAR) eunit
 
 xref: all
-	$(REBAR) skip_deps=true xref
+	$(REBAR) xref
 
+ifeq "$(IS_REBAR3)" "1"
+dialyzer:
+	$(REBAR) dialyzer
+else
 deps := $(wildcard deps/*/ebin)
 
 APPS=kernel stdlib erts public_key crypto asn1
@@ -57,6 +65,7 @@
 	@dialyzer --plts dialyzer/*.plt --no_check_plt \
 	--get_warnings -o dialyzer/error.log ebin; \
 	status=$$? ; if [ $$status -ne 2 ]; then exit $$status; else exit 0; fi
+endif
 
 check-syntax:
 	gcc -o nul -S ${CHK_SOURCES}

=== debian/changelog ===
erlang-p1-pkix (1.0.10-2) unstable; urgency=medium

  * Updated Standards-Version: 4.7.0 (no changes needed)
  * Updated years in debian/copyright
  * debian/rules: add creation of symbolic link for native app name

 -- Philipp Huebner <debalance@debian.org>  Sun, 09 Feb 2025 10:57:05 +0100

erlang-p1-pkix (1.0.10-1) unstable; urgency=medium

  * New upstream version 1.0.10

 -- Philipp Huebner <debalance@debian.org>  Thu, 03 Oct 2024 17:41:44 +0200

erlang-p1-pkix (1.0.9-3) unstable; urgency=medium

  * Dropped debian/erlang-p1-pkix.install
  * Updated lintian overrides
  * Renamed debian/erlang-p1-pkix.lintian-overrides
    -> debian/lintian-overrides

 -- Philipp Huebner <debalance@debian.org>  Tue, 26 Dec 2023 16:11:45 +0100

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                erlang-crypto,
                erlang-eunit,
                erlang-syntax-tools
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-pkix
 Vcs-Git: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-pkix.git
 Homepage: https://github.com/processone/pkix

=== debian/rules ===
--- 
+++ 
@@ -9,3 +9,8 @@
 
 %:
 	dh $@ --buildsystem=rebar --with rebar
+
+override_dh_auto_install:
+	dh_auto_install
+	install -m 755 -d $(DESTDIR)/usr/lib/erlang/lib/
+	ln -s /usr/lib/erlang/lib/p1_pkix-$(DEB_VERSION_UPSTREAM) $(DESTDIR)/usr/lib/erlang/lib/pkix-$(DEB_VERSION_UPSTREAM)

=== debian/watch ===
version=4
opts="filenamemangle=s/.*\/v?(\d\S*)\.tar\.gz/erlang-p1-pkix_$1.tar.gz/" \
  https://github.com/processone/pkix/tags .*/v?(\d\S*)\.tar\.gz
